package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.RecordRoleMapper;
import com.lz.modules.flow.entity.RecordRole;
import com.lz.modules.flow.service.RecordRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* <p>
* 记录表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/

@Service
public class RecordRoleServiceImpl extends ServiceImpl<RecordRoleMapper, RecordRole> implements RecordRoleService {


    @Autowired
	private RecordRoleMapper recordRoleMapper;



	@Override
	public RecordRole selectRecordRoleById(Long id){
		return recordRoleMapper.selectRecordRoleById(id);
	}



	@Override
	public Long insertRecordRole(RecordRole recordRole){
		return recordRoleMapper.insertRecordRole(recordRole);
	}



	@Override
	public int updateRecordRoleById(RecordRole recordRole){
		return recordRoleMapper.updateRecordRoleById(recordRole);
	}



	@Override
	public int updateCoverRecordRoleById(RecordRole recordRole){
		return recordRoleMapper.updateCoverRecordRoleById(recordRole);
	}



	@Override
	public int deleteRecordRoleById(Long id){
		return recordRoleMapper.deleteRecordRoleById(id);
	}





}
